Subject: bug#57376: 28.1; rcirc-fill-flag ignored after 27->28 upgrade

From: "Trent W. Buck" <[email-masked]>
Date: Mon, 26 Sep 2022 10:33:14 +1000

Philip Kaludercic wrote:
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > Philip Kaludercic <[email-masked]> writes:
> >
> >> At the very least I was wrong about the (fill-region (point-min)
> >> (point-max)), so that has to go.  But I will modify the code locally to
> >> check if squeezing white-space before the prompt is still necessary or
> >> not.
> >
> > This was a month ago -- was a fix for this pushed?
> 
> I've pushed the change to remove 'fill-region'.  If nobody reports any
> issues in the coming days, I'll close the bug report.

For the record,
I can't easily run/test git HEAD, but
with this I have not been annoyed:

                      ;; squeeze spaces out of text before rcirc-text
    -              (fill-region (point-min) (point-max))
    +                 ;; https://debbugs.gnu.org/57376
    +                 ;; (fill-region (point-min) (point-max))
    +                 ;; (canonically-space-region (point-min) (point-max))